Skip to main content
GET
Get machine

Authorizations

Authorization
string
header
required

workspace API token (sk_akua_...) or OAuth2 JWT. Create tokens at https://akua.dev/developers/api-tokens

Headers

akua-context
string

Optional workspace/scope context for the request. Carries a single workspace wire id (ws_…) today. Only needed for broad tokens — a workspace-owned token implies its workspace.

Required string length: 1 - 53
Example:

"ws_j572abc123def456"

Path Parameters

id
string
required
Required string length: 1 - 54

Response

Machine details

id
string
required
Required string length: 1 - 54
workspace_id
string
required
Required string length: 1 - 53
cluster_id
string
required
Required string length: 1 - 54
compute_config_id
string
required
Required string length: 1 - 54
provider_id
string
required

Provider URI identifier in canonical form (for example, compute://hcloud/server-1234).

Example:

"compute://hcloud/server-1234"

provider_resource
object
required
state
enum<string>
required

Machine lifecycle state.

Available options:
ACTIVE,
PROVISIONING,
SUSPENDING,
SUSPENDED,
RESUMING,
DELETING
reconciling
boolean
required
created_at
integer
required

Unix timestamp (seconds)

Required range: x >= 0
updated_at
integer
required

Unix timestamp (seconds)

Required range: x >= 0
etag
string
required
name
string
current_suspension
object